## uniklu-cups 2.0-20

=== Makefile ===
DST=debian/uniklu-cups

all:

install: clean
	mkdir -p $(DST)
	mkdir -p $(DST)/sbin
	mkdir -p $(DST)/etc/init.d
	mkdir -p $(DST)/etc/cups
	mkdir -p $(DST)/etc/bash_completion.d
	install -m 644 lpr lpq $(DST)/etc/bash_completion.d/
	cp -p  printers.local  $(DST)/etc/cups/
	cp -p cups-cron $(DST)/etc/init.d/
	cp -p cups-cron.sh $(DST)/sbin
	chmod 755 $(DST)/sbin/cups-cron.sh
	chmod 755 $(DST)/etc/init.d/cups-cron
	mkdir -p $(DST)/etc/cups/ppd
	mkdir -p $(DST)/etc/cups/printers.conf.d
	cp -rp printers.conf.d/* $(DST)/etc/cups/printers.conf.d
	mkdir  $(DST)/etc/cups/cups.d
	cp -p ppd/* $(DST)/etc/cups/ppd
	mkdir -p $(DST)/usr/share/ppd/linuxprinting.org-gs-builtin/Canon/
	cp new-ppds/Canon-iRC2880.ppd $(DST)/usr/share/ppd/linuxprinting.org-gs-builtin/Canon/Canon-iRC2880.ppd
	# mkdir -p $(DST)/usr/share/ppd/linuxprinting.org-gs-builtin/HP
	# cp new-ppds/HP-CLJ3500.ppd $(DST)/usr/share/ppd/linuxprinting.org-gs-builtin/HP/HP-Color_LaserJet_3500-Postscript.ppd

clean:
	rm -rf $(DST)/etc
	rm -rf $(DST)/usr
	rm -rf $(DST)/sbin

## uniklu-cups 2.0-6

=== debian/changelog ===
uniklu-cups (2.0-6) unstable; urgency=low

  * fix cupsys references

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Sat, 01 Oct 2011 19:35:04 +0200

uniklu-cups (2.0-5) unstable; urgency=low

  * recognize an optional /etc/cups/printers.conf.local file

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Sat, 01 Oct 2011 19:35:04 +0200

uniklu-cups (2.0-4) unstable; urgency=low

  * use only iprint5

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Wed, 30 Mar 2011 06:41:46 +0000

uniklu-cups (2.0-3) unstable; urgency=low

  * fix

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 11 Mar 2010 11:32:13 +0000

uniklu-cups (2.0-2) unstable; urgency=low

  * bump release

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 11 Mar 2010 11:12:01 +0000

uniklu-cups (2.0-1) unstable; urgency=low

  * New upstream release

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 11 Mar 2010 09:26:02 +0000

uniklu-cupsys (1.1-9) unstable; urgency=low

  * fix printers missing Filter entries

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 10 Dec 2009 11:28:17 +0000

uniklu-cupsys (1.1-8) unstable; urgency=low

  * fix typo

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 10 Dec 2009 10:39:11 +0000

uniklu-cupsys (1.1-7) unstable; urgency=low

  * fix typo

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 10 Dec 2009 08:04:42 +0000

uniklu-cupsys (1.1-6) unstable; urgency=low

  * add ZIDConnect_MFP.ppd via secure iprint

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 10 Dec 2009 07:58:52 +0000

uniklu-cupsys (1.1-5) unstable; urgency=low

  * karmic rebuild

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 10 Dec 2009 07:53:29 +0000

uniklu-cupsys (1.1-4) unstable; urgency=low

  * fix cups-cron.sh

 -- Debian Build User <build@build-deb>  Mon, 06 Apr 2009 08:51:53 +0000

uniklu-cupsys (1.1-3) unstable; urgency=low

  * optional pass hostname externally to cups.cron.sh

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 23 Mar 2009 07:52:22 +0000

uniklu-cupsys (1.1-2) unstable; urgency=low

  * fix cups-cron.sh

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 23 Mar 2009 07:47:11 +0000

uniklu-cupsys (1.1-1) unstable; urgency=low

  * switch to hardy 

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 23 Mar 2009 07:12:50 +0000

uniklu-cupsys (1.0-37) unstable; urgency=low

  * add lj2015

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 16 Dec 2008 11:10:55 +0000

uniklu-cupsys (1.0-36) unstable; urgency=low

  * math/lj2300 moves to pc06-math

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Wed, 12 Nov 2008 08:34:22 +0000

uniklu-cupsys (1.0-35) unstable; urgency=low

  * add lpr/lpq completion helpers

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 26 May 2008 11:23:28 +0200

uniklu-cupsys (1.0-34) unstable; urgency=low

  * add ub--pq-z207-erw2-queue (IPP Printer

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 20 May 2008 10:58:44 +0200

uniklu-cupsys (1.0-33) unstable; urgency=low

  * use "ErrorPolicy cancel-job" per default

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Wed, 14 Nov 2007 11:44:35 +0100

uniklu-cupsys (1.0-32) unstable; urgency=low

  * correct ub--hplj1022--lokal (usb)

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 23 Aug 2007 15:16:49 +0200

uniklu-cupsys (1.0-31) unstable; urgency=low

  * add ub--hplj1022--lokal

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 20 Aug 2007 16:41:45 +0200

uniklu-cupsys (1.0-30) unstable; urgency=low

  * added:
  ub--pq-b106-glas
  ub--pq-b106-vanek  
  ub--pq-z209-bercht
  
 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Sun, 19 Aug 2007 13:07:21 +0200

uniklu-cupsys (1.0-29) unstable; urgency=low

  * fix dj970/pc30-math

 -- Debuild User <debuild@build32-dapper.uni-klu.ac.at>  Thu, 26 Jul 2007 11:49:39 +0200

uniklu-cupsys (1.0-28) unstable; urgency=low

  * rewrite some ub printers

 -- Debuild User <debuild@build32-dapper.uni-klu.ac.at>  Mon,  2 Jul 2007 09:06:34 +0200

uniklu-cupsys (1.0-27) unstable; urgency=low

  * move printers

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 14 Jun 2007 16:27:30 +0200

uniklu-cupsys (1.0-26) unstable; urgency=low

  * add forgotten canon ppd file

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Wed, 11 Apr 2007 11:12:10 +0200

uniklu-cupsys (1.0-25) unstable; urgency=low

  * make canon MFP DefaultPrinter

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 26 Mar 2007 17:09:01 +0200

uniklu-cupsys (1.0-24) unstable; urgency=low

  * finallly activate canon MFP card  devices

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue,  6 Mar 2007 15:05:39 +0100

uniklu-cupsys (1.0-23) unstable; urgency=low

  * + ub--pq-z207-erw2

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Wed, 28 Feb 2007 14:21:49 +0100

uniklu-cupsys (1.0-22) unstable; urgency=low

  * correct moving math printers

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 27 Feb 2007 13:23:03 +0100

uniklu-cupsys (1.0-21) unstable; urgency=low

  * add new PPDs to /usr/share/ppd/linuxprinting.org-gs-builtin/ (Canon/Canon-iRC2880.ppd)

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Wed, 14 Feb 2007 16:28:28 +0100

uniklu-cupsys (1.0-20) unstable; urgency=low

  * no longer need for opp workaround ??

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Wed, 14 Feb 2007 15:17:32 +0100

uniklu-cupsys (1.0-19) unstable; urgency=low

  * preprare for Canon Multifuntion printers (iR C2880)

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Wed, 14 Feb 2007 14:13:27 +0100

uniklu-cupsys (1.0-18) unstable; urgency=low

  * + lube printer

 -- Albrecht Gebhardt <Albrecht.Gebhardt@uni-klu.ac.at>  Tue, 30 Jan 2007 23:12:39 +0100

uniklu-cupsys (1.0-17) unstable; urgency=low



=== debian/control ===
Source: uniklu-cups
Section: admin
Maintainer: Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>
Priority: optional
Build-Depends: cdbs
Standards-Version: 3.5.2


Package: uniklu-cups
Architecture: all
Depends: cups, novell-iprint-xclient-sh
Replaces: uniklu-cupsys
Conflicts: uniklu-cupsys (<= 1.1)
Description: scripts for using cups with uniklu network booting
 This package contains the scripts and configuration snippets needed to 
 access uniklu printers via cups.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright  2005 Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>


include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET=install

## uniklu-cups 2.0-8

=== debian/changelog ===
uniklu-cups (2.0-8) unstable; urgency=low

  * reinstall 2 inkjet printers

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 23 Mar 2012 09:36:38 +0000

## uniklu-cups 2.0-20

=== debian/changelog ===
uniklu-cups (2.0-20) unstable; urgency=low

  * new ub printer

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Wed, 05 Jun 2013 08:53:19 +0000

uniklu-cups (2.0-19) unstable; urgency=low

  * move cn_ back to iprint5
  * check also new domain names

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 29 Nov 2012 06:50:03 +0000

uniklu-cups (2.0-18) unstable; urgency=low

  * add hp lj400 math

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Wed, 31 Oct 2012 07:27:16 +0000

uniklu-cups (2.0-17) unstable; urgency=low

  * fix3 cups-cron

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 02 Oct 2012 05:33:06 +0000

uniklu-cups (2.0-16) unstable; urgency=low

  * fix2 cups-cron

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 01 Oct 2012 21:37:22 +0000

uniklu-cups (2.0-15) unstable; urgency=low

  * fix cups-cron

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 01 Oct 2012 21:25:14 +0000

uniklu-cups (2.0-14) unstable; urgency=low

  * fix math6

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 01 Oct 2012 21:12:00 +0000

uniklu-cups (2.0-13) unstable; urgency=low

  * change CN_* to unsecure

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 01 Oct 2012 18:55:15 +0000

uniklu-cups (2.0-12) unstable; urgency=low

  * allow also sl iprint client
  * restart gui listener

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 01 Oct 2012 13:58:36 +0000

uniklu-cups (2.0-11) unstable; urgency=low

  * remove bw stat lj
  * reinstall clj3500 and clj4700

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 09 Aug 2012 10:01:01 +0000

uniklu-cups (2.0-10) unstable; urgency=low

  * fix postinst

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 29 May 2012 10:41:10 +0000

uniklu-cups (2.0-9) unstable; urgency=low

  * fix pc06-stat

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 26 Mar 2012 10:41:10 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: uniklu-cups
 Architecture: all
-Depends: cups, novell-iprint-xclient-sh
+Depends: cups, novell-iprint-xclient-sh | novell-iprint-xclient-sl, hpijs-ppds (>= 3.12.6)
 Replaces: uniklu-cupsys
 Conflicts: uniklu-cupsys (<= 1.1)
 Description: scripts for using cups with uniklu network booting
